%global pkgname mongoengine

Name: python-mongoengine
Version: 0.8.8
Release: 1%{?dist}
Summary: A Python Document-Object Mapper for working with MongoDB

License: MIT
URL:     http://pypi.python.org/pypi/mongoengine/
Source0: https://github.com/MongoEngine/mongoengine/archive/v%{version}.tar.gz

BuildArch: noarch
BuildRequires: python-setuptools
BuildRequires: python2-devel
# The following BuildRequires are needed for docs
BuildRequires: python-pymongo
BuildRequires: python-pymongo-gridfs
BuildRequires: python-sphinx

Requires: python-blinker
Requires: python-pillow
Requires: python-pymongo
Requires: python-pymongo-gridfs


%description
MongoEngine is a Document-Object Mapper (think ORM,
but for document databases) for working with MongoDB
from Python. It uses a simple declarative API, similar
to the Django ORM.


%prep
%autosetup -n %{pkgname}-%{version}


%build
%py2_build

PYTHONPATH=$(pwd) make -C docs html
rm -f docs/_build/html/.buildinfo


%install
%py2_install


%files
%license LICENSE
%doc README.rst
%doc docs/_build/html
%{python2_sitelib}/%{pkgname}
%{python2_sitelib}/%{pkgname}-*.egg-info


%changelog
* Tue Dec 29 2015 Randy Barlow <rbarlow@redhat.com> - 0.8.8-1
- Update to 0.8.8, a bugfix release.
- Do not run unit tests. They are truly integration tests and depend on a running mongod.
- Remove BuildRequires for the tests.
- Convert the spec file to use the newer Python macros.

* Wed Feb 18 2015 Yohan Graterol <yohangraterol92@gmail.com> - 0.8.4-3
- Built for EPEL7

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Mon Aug 26 2013 Yohan Graterol <yohangraterol92@gmail.com> - 0.8.4-1
- New Version
* Mon Aug 12 2013 Yohan Graterol <yohangraterol92@gmail.com> - 0.8.3-1
- New version
* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.9-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Mar 13 2013 Eduardo Echeverria  <echevemaster@gmail.com> - 0.7.9-5
- Fix setup.py (add python-pillow instead python-imaging)

* Mon Jan 28 2013 Yohan Graterol <yohangraterol92@gmail.com> - 0.7.9-4
- Add Requires: pymongo, python-gridfs for f17
- Add Requires: python-pymongo, python-pymongo-gridfs for f18+
- Add Requires: python-blinker, python-imaging

* Sun Jan 27 2013 Yohan Graterol <yohangraterol92@gamil.com> - 0.7.9-3
- Built and included test
- Add BuildRequires: python-django >= 1.3

* Sun Jan 27 2013 Yohan Graterol <yohangraterol92@gmail.com> - 0.7.9-2
- Built and included sphinx docs
- Add BuildRequires: python-sphinx, python-pymongo, pymongo-gridfs
- Add BuildRequires: python-coverage, python-nose

* Thu Jan 17 2013 Yohan Graterol <yohangraterol92@gmail.com> - 0.7.9-1
- Initial packaging
